/*Filename: iceskater.cpp*/

#include <iostream>
#include "iceskater.h"

using namespace std;

int IceSkater::base = 0;

IceSkater::IceSkater(const int d, const int c)
{
	distance = d;
    color = c;
	id = base + (rand() % 10 + 1);
	base = id;
	skill = rand() % 2;
	position = 0;
	//cout << "An IceSkater participates with ID: " << id
	//     << ", Color: " << color << ", Skill:" << skill << ", Distance:"<< distance << endl;
}

IceSkater::~IceSkater()
{
	//cout << "An IceSkater will be discarted with ID: " << id
	//     << ", Color: " << color << ", Skill:" << skill << ", Distance:"<< distance << endl;
}

int IceSkater::skate(const int i)
{
    int j = 0;
	while( j < i )
	{
		j += distance;
	}
	position += i;
	return j/distance;
}

void IceSkater::perform()
{
	if (skill == 0)
	{
	    cout << "My skill is spinning!" << endl;
	}
	else
	{
		cout << "My skill is jumping!" << endl;
	}
}

int IceSkater::get_color()
{
	return color;
}

int IceSkater::get_id()
{
	return id;
}
