/*Filename: list.h*/

#ifndef LIST_H_
#define LIST_H_

#include "list_node.h"

class List
{
	private:
		ListNode *first,
			     *last;
		int size;
		
	public:
		List();
		~List();
		
		bool is_empty();
		int get_size();
		
		void insert_at_start(ListContent*);
		void insert_at_end(ListContent*);
		
		ListContent* extract_from_start();
		ListContent* extract_from_end();
		
		ListContent* get_first_data();
		ListContent* get_last_data();
};

#endif
