/*Filename: list_node.cpp*/

#include <iostream>
#include "list_node.h"

using namespace std;

ListNode::ListNode(ListContent *d)
{
	data = d;
	next = prev = NULL;
}

ListNode::~ListNode()
{
	data = NULL;
	next = NULL;
	prev = NULL;
}

void ListNode::set_data(ListContent* d)
{
	data = d;
}

ListContent* ListNode::get_data()
{
	return data;
}

void ListNode::set_next(ListNode* n)
{
	next = n;
}

ListNode* ListNode::get_next()
{
	return next;
}

void ListNode::set_prev(ListNode* p)
{
	prev = p;
}

ListNode* ListNode::get_prev()
{
	return prev;
}


